local mod_name = core.get_current_modname()
local mod_path = core.get_modpath(mod_name)
local S = core.get_translator(mod_name)



core.register_craftitem("aom_items:iron_nugget", {
    description = S("Iron Ore"),
    inventory_image = "aom_iron_nugget.png",
    groups = { item_iron_nugget = 1, craftitem = 1, iron = 1, nugget = 1, iron_nugget = 1, },
})

core.register_craftitem("aom_items:tin_nugget", {
    description = S("Tin Ore"),
    inventory_image = "aom_tin_nugget.png",
    groups = { item_tin_nugget = 1, craftitem = 1, tin = 1, nugget = 1, tin_nugget = 1, },
})

core.register_craftitem("aom_items:copper_nugget", {
    description = S("Copper Ore"),
    inventory_image = "aom_copper_nugget.png",
    groups = { item_copper_nugget = 1, craftitem = 1, copper = 1, nugget = 1, copper_nugget = 1, },
})

core.register_craftitem("aom_items:bronze_nugget", {
    description = S("Bronze Ore"),
    inventory_image = "aom_bronze_nugget.png",
    groups = { item_bronze_nugget = 1, craftitem = 1, bronze = 1, nugget = 1, bronze_nugget = 1, },
})

core.register_craftitem("aom_items:lapis_lazuli", {
    description = S("Lapis Lazuli"),
    inventory_image = "aom_lapis.png",
    groups = { item_lapis_lazuli = 1, craftitem = 1, lapis = 1, lapis_lazuli = 1, },
})

core.register_craftitem("aom_items:diamond", {
    description = S("Diamond"),
    inventory_image = "aom_diamond.png",
    groups = { item_diamond = 1, craftitem = 1, diamond = 1,},
})

core.register_craftitem("aom_items:coal", {
    description = S("Coal"),
    inventory_image = "aom_coal.png",
    groups = { item_coal = 1, craftitem = 1, fuel = 30, coal = 1 },
})

core.register_craftitem("aom_items:gold_nugget", {
	description = S("Gold Nugget"),
	inventory_image = "aom_gold_nugget.png",
	groups = { item_gold_nugget = 1, craftitem = 1, gold = 1 },
})
core.register_alias("aom_items:gold", "aom_items:gold_nugget")

core.register_craftitem("aom_items:ignis", {
	description = S("Ignis Crystal"),
	inventory_image = "aom_ignis_nugget.png",
	groups = { item_gold_nugget = 1, craftitem = 1, gold = 1 },
})
